/*
Theme Name: Techwind Child
Template: techwind
*/


/*29,119,237*/
/*#1d77ed*/


:root {
    --blue_color: #1d77ed;
    --white: #ffffff;
    --black: #000000;
    --e-global-color-secondary: #ffffff;
    --grey: #454545;
    --color-basic-subscription: #06538d;
    --color-standard-subscription: #155d08;
    --color-premium-subscription: #a57a00;
    --grey-param: #87868b;
}

body, button, input, select, optgroup, textarea {
    color: #94a3b8;
    font-family: "Nunito", sans-serif;
    font-size: 16px;
    line-height: 26px;
    font-weight: 400;
    word-break: break-word;
    box-sizing: border-box;
    font-family: Nunito;
}

.octf-btn:hover {
    color: var(--white);
    background-color: var(--black);
}

.page-header {
    padding-top: 50px;
    padding-bottom: 50px;
    background: var(--black);
}

.fill-white,
.fill-white svg {
    fill: var(--white);
}


.main-navigation ul > li.current_page_item > a, .site-header.is-stuck .main-navigation > ul > li.current_page_item > a,
.site-header.header-transparent .main-navigation > ul > li.current_page_item > a, .site-header.site-header-dark .main-navigation > ul > li.current_page_item > a,
.site-header.header-overlay.is-stuck .main-navigation > ul > li:hover > a, .site-header.header-overlay.is-stuck .main-navigation > ul > li.current-menu-parent > a, .site-header.header-overlay.is-stuck .main-navigation > ul > li.current-menu-ancestor > a, .site-header.header-transparent.is-stuck .main-navigation > ul > li:hover > a, .site-header.header-transparent.is-stuck .main-navigation > ul > li.current-menu-parent > a, .site-header.header-transparent.is-stuck .main-navigation > ul > li.current-menu-ancestor > a {
    color: var(--blue_color);
}


.is-stuck .main-navigation > ul li.menu-item-has-children > a:after,
.is-stuck .main-navigation > ul li.menu-item-has-children:hover a:after {
    top: 21px;
}

.is-stuck #site-logo img {
    /*height: 40px*/
}

.switch-image .ot-icon-box__icon svg{
    /*fill: var(--e-global-color-primary);*/
}

.mobile_logo img{
    height:60px;
}

.is-stuck .main-navigation ul > li > a {
    padding: 15px
}

.main-form:not(.donate-form) span[data-name=your-name]:before {
    background-image: url("images/user.svg");
}

.main-form:not(.donate-form) span[data-name=your-email]:before {
    background-image: url("images/mail.svg");
}

.main-form:not(.donate-form) span[data-name=your-question]:before {
    background-image: url("images/book.svg");
}

.main-form:not(.donate-form) span[data-name=your-message]:before {
    background-image: url("images/message-circle.svg");
}

.tiny-footer {
    border-top: 1px solid var(--grey);
}

.footer, .tiny-footer {
    background-color: var(--black);
}

.footer ul li a:hover, .footer ul.vertical li a:hover {
    color: var(--blue_color);
}

a:focus, a:hover {
    text-decoration: none;
}

.ot-pricing-table__features-list ul li.check-basic-subscription:before {
    color: var(--color-basic-subscription);
}

.ot-pricing-table__features-list ul li.check-premium-subscription,
.ot-pricing-table__features-list ul li.check-standard-subscription {
    font-weight: bold;
    color:var(--black)
}

.ot-pricing-table {
    height: 100%;
    display: flex; 
    flex-direction: column;
}

.ot-pricing-table__footer {
    margin-top: auto;
}

.elementor-element-49f04bb3 .elementor-widget-image a img[src$=".svg"]{
    height:40px;
    width: auto;
}

.d-none{
    display:none!important
}

.switch-image-container > div .elementor-widget-image {
    opacity: 0;
    transition: opacity 0.6s ease;
}

/* Dodaj animację dla efektu fade-in */
.switch-image-container > div .elementor-widget-image.fade-in {
    opacity: 1;
}

/* Dodaj animację dla efektu fade-out */
.switch-image-container > div .elementor-widget-image.fade-out {
    opacity: 0;
}

.site-header.site-header-dark.is-stuck,
.site-header.header-overlay.is-stuck, .site-header.header-transparent.is-stuck{
    background-color: #242424;
    border-bottom: 1px solid rgba(255,255,255,0.24);
    color: var(--e-global-color-secondary)
}

.site-header.is-stuck .main-navigation > ul > li > a {
    color: var(--e-global-color-secondary)
}

.image-404{
    max-width:500px;
}

.error-404{
    background-color: var(--black);
}

.error-404 h1 {
    color: var(--e-global-color-secondary)
}

.ot-image-gallery.img-scale .gallery-item a {
    display: block;
    background: #1c1c1c;
}

.ot-pricing-table__features-list ul li:before, .ot-pricing-table__features-list ol li:before{
    font-size:20px;
}

.page-header .page-title {
    padding-left: inherit;
    padding-right: inherit;
}

.number-of-products{
    position: absolute;
    right: -5px;
    bottom: 10px;
    background: var(--blue_color);
    border-radius: 50%;
    width: 20px;
    height: 20px;
    padding: 5px;
    font-size: 10px;
    line-height: 10px;
    color: #fff;
}

#top-text{
    min-height: 235px;
    max-width:418px;
}

.ot-testimonial-s1 .testi-client-logo img{
    height:50px;
}

.page-header .breadcrumbs{
    text-transform: none;
}

#site-header > div.octf-main-header > div > div > div > div > div.octf-col.cta-col .none-style{
    /*display: none;*/
}

a:visited {
    color: #337ab7;
}

.sku_wrapper{
    display: none 
}

.woocommerce div.product form.cart .button,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button,
body:not(.woocommerce-block-theme-has-button-styles) .wc-block-components-button:not(.is-link),
.woocommerce button.button
{
    color: var(--e-global-color-secondary)!important;
    background-color: #1777ED!important;
    border-radius: 6px;
    border:none;
}

.woocommerce-info a{
    color:var(--black)!important;
}

.woocommerce .quantity .qty{
    color:var(--black)!important;
    background-color:var(--white)!important;
}

.woocommerce table.shop_attributes th{
    width: 280px!important;
}

.woocommerce-message, .woocommerce-info {
    border-radius: 6px!important;
    background-color: rgb(191 191 191 / 10%) !important;
    border-top-color: var(--color-standard-subscription)!important;
}

.woocommerce-info::before,
.woocommerce-message::before {
    color: var(--color-standard-subscription) !important;
}

.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea {
    border-radius: 4px!important;
    box-sizing: content-box!important;
    display: flex!important;
    margin: 0 0 .25em!important;
}

.woocommerce form .form-row label {
    color: #161c2d!important;
    font-family: "Nunito", sans-serif!important;
    font-size: 16px!important;
    line-height: 26px!important;
    font-weight: 400!important;
    word-break: break-word!important;
    box-sizing: border-box!important;
    font-family: Nunito!important;
}

#order_review_heading{
    margin-top:20px;
}

.woocommerce-billing-fields h3, .woocommerce-additional-fields h3 {
    font-size: 30px!important;
    line-height: 30px!important;
    font-weight: 700!important;
    margin-bottom: 24px!important;
}

.woocommerce form .form-row-last, .woocommerce-page form .form-row-last{
    float:none!important
}

.header-clone{
    display:none
}

.woocommerce form .password-input input[type=password], .woocommerce-page form .password-input input[type=password] {
     padding-right: 12px;
}

.woocommerce ul.products li.product .price{
    color: #6d6f7b!important;
}

.woocommerce-result-count{
    display: none;
}

#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment,
.woocommerce-checkout #payment .woocommerce-terms-and-conditions-wrapper .form-row label {
    background-color: rgb(0 0 0)!important;
    color: #fff!important;
}

.woocommerce div.product .woocommerce-product-gallery--columns-4 .flex-control-thumbs li:nth-child(4n+1){
    clear:none
}

.woocommerce div.product div.images .flex-control-thumbs li{
    width: 15%;
    float: left;
    margin: 0.8%;
    list-style: none;
}

.is-stuck{
    z-index:9999
}

.woocommerce-MyAccount-navigation ul{
    padding-left:0px;
}
.woocommerce-MyAccount-navigation li a{
    color: #fff;
}
.woocommerce-MyAccount-navigation li {
    list-style: none;
    background: #000;
    color: #fff;
    padding: 10px;
    border-bottom: 1px solid #474242;
}
.woocommerce-MyAccount-navigation li > a > br {
    display: none
}

.woocommerce-account .woocommerce-MyAccount-navigation{
    width:25%;
}

.post-box .entry-media.post-cat-abs img
{
    max-height: 204px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.post-template-default .attachment-post-thumbnail{
    max-height: 350px;
    width: auto;
}

.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea{
    width:97%;
}

 .woocommerce-MyAccount-content button.woocommerce-Button {
     margin-top:20px;
 }

.blog #main article{
    padding: 20px;
    flex: 0 1 calc(33.333% - 20px);
}
.blog #main{
    flex-direction: row;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 20px;
}

ul, ol{
    padding-left:25px;
}

.cart_and_account{
    float: right;
    margin-right: 50px;
    margin-top: 10px;
}

.basket_icon_mobile .number-of-products{
    top: 24px;
}

.basket_icon_mobile{
    position:relative;
}

.product-template-default.single.single-product div.woocommerce-notices-wrapper{
    display: none;
}

body, button, input, select, optgroup, textarea {
    color: #536885;
}

@media only screen and (max-width: 1024px) {

    .woocommerce table.shop_attributes th{
        width: 150px!important;
    }
    .blog #main article{
        padding: 20px;
        flex: 100%;
    }
    .header_mobile .mlogo_wrapper {
        position: relative;
        padding: 5px 0px;
    }
    .header_mobile {
        background: none
    }

    #site-header.is-stuck .header_mobile {
        background: #242424;
    }
    #mmenu_toggle button,
    #mmenu_toggle button:before,
    #mmenu_toggle button:after{
        background: var(--e-global-color-secondary);
    }
    .header_mobile .mobile_nav .mobile_mainmenu li a{
        border-bottom: 1px solid #656464;
        color: var(--grey-param);
    }
    #site-header.is-stuck .header_mobile,
    #site-header.is-stuck .header_mobile .mobile_nav {
        background: #242424;
    }
    .header_mobile,
    .header_mobile .mobile_nav {
        background: #000;
    }
}

@media only screen and (max-width: 768px) {
    .woocommerce-account .woocommerce-MyAccount-content, .woocommerce-account .woocommerce-MyAccount-navigation {
        float: none;
        width: 100%;
    }

}